Bug 590509 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:37283f0ca5bf09b5c719cdc28dc...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 21:08 EDT by Stephen Haffly
Modified: 2010-05-26 21:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 10:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.53 KB, text/plain)
2010-05-09 21:08 EDT, Stephen Haffly
no flags Details

  None (edit)
Description Stephen Haffly 2010-05-09 21:08:55 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
comment: I was checking out this web site. I had navigated through several pages, and clicked on a link for directions when Firefox closed.  I just went back and it did not close so I do not know if this was a one-time event or something that will happen again.
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: 37283f0ca5bf09b5c719cdc28dc335aab01d7e74
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Open Firefox and navigate to http://www.thegroveaz.org/ministries/adult/what-is-grow-together/life-groups/
2. click on a link to navigate away from the page (page I wanted was http://www.thegroveaz.org/directions/)
3. Firefox closed and ABRT opened
Comment 1 Stephen Haffly 2010-05-09 21:08:59 EDT
Created attachment 412693 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-10 15:04:16 EDT
Thread 1 (Thread 18321):
#0  0x0000003b5ca0efbb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = 0
        pid = <value optimized out>
#1  0x0000003804a78d9a in nsProfileLock::FatalSignalHandler (signo=11)
    at nsProfileLock.cpp:212
        unblock_sigs = {__val = {1024, 0 <repeats 15 times>}}
        oldact = <value optimized out>
#2  <signal handler called>
No symbol table info available.
#3  NS_InvokeByIndex_P (that=0x7f486315ccdf, methodIndex=13, paramCount=1, 
    params=<value optimized out>) at xptcinvoke_x86_64_linux.cpp:208
        nr_stack = <value optimized out>
        gpregs = {0, 140735568425232, 0, 1, 139948719559488, 139948827039924}
        d0 = 0
        d5 = 0
        result = <value optimized out>
        nr_gpr = 2
        d1 = 0
        d6 = 0
        nr_fpr = 0
        d2 = 0
        d7 = 0
        methodAddress = Cannot access memory at address 0x3805a2525068



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-10 15:05:31 EDT
Good repro steps. Very short trace.

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Martin Stransky 2010-05-10 17:06:18 EDT
Hm, unable to reproduce...can you reproduce the crash reliably?
Comment 5 Stephen Haffly 2010-05-11 16:01:48 EDT
My apologies for the delay.  My end-of-semester schedule has kept me busy so I am just now able to respond.

This is something that has not reoccurred since the one incident when Firefox crashed and the ABRT reported it.
Comment 6 Martin Stransky 2010-05-12 10:07:49 EDT
Okay, please reopen if you find any reproducer.
Comment 7 Need Real Name 2010-05-25 18:05:17 EDT
I just went through the ABRT reporting process, but my stacktrace and report apparently wasn't added to this bug since ABRT noticed it is 'CLOSED INSUFFICIENT_DATA' ... which is probably YAAB (Yet Another ABRT Bug).

In any case, I don't know if I have a reliable recreate; I was browsing our internal JIRA and clicked 'next' and ... boom.  Firefox abort.
Comment 8 Chris Campbell 2010-05-26 21:17:53 EDT
Actually, it was closed because the original reporter could not give us a reliable set of steps with which to reproduce the bug for troubleshooting. When your crash occurred, ABRT found your crash to be an exact duplicate of this one, so no need to upload the back-trace. If you can be more specific with your steps to enable us to reliably reproduce the crash, we can re-open this report for troubleshooting.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.